CHSH(1)

NAME
chsh - ändert die Anmelde-Shell

ÜBERSICHT

chsh [options] [LOGIN]

BESCHREIBUNG

The chsh command changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account; the superuser may change the login shell for any account.

OPTIONEN

The options which apply to the chsh command are:

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported. No SELINUX support.

-s, --shell SHELL
    ändert die Anmelde-Shell des Benutzers. Mit dem Leerstring als SHELL wird dieser in die Datei /etc/passwd übernommen und dem Benutzer nach der Anmeldung die Standard-Shell des Systems zur Verfügung gestellt.

If the -s option is not selected, chsh operates in an interactive fashion, prompting the user with the current login shell. Enter the new value to change the shell, or leave the line blank to use the current one. The current shell is displayed between a pair of [ ] marks.

ANMERKUNGEN

The only restriction placed on the login shell is that the command name must be listed in /etc/shells.

If the invoker is the superuser any value may be added regardless what is defined in the configuration files. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shells
    Liste gültiger Anmelde-Shells

/etc/login.defs
    konfiguriert die Shadow-Hilfsprogramme.

SIEHE AUCH

chfn(1), login.defs(5), passwd(5).